<?php
$a = \S::get( 'a' );

if ( $a == 'save_products_order' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania kolejności wyświetlania produktów wystąpił błąd. Proszę spróbować ponownie.' ];

  $categoryRepository = new \Domain\Category\CategoryRepository( $mdb );

  if ( $categoryRepository->saveProductOrder( \S::get( 'category_id' ), \S::get( 'products' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}
